﻿@import url('./apex-fonts.css');


:root {
    --font-primary: 'IranSans', -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Helvetica Neue', Arial, sans-serif;
}


.rtl {
    direction: rtl;
}

.ltr {
    direction: ltr;
}

.no-child-padding > * {
    padding: 0 !important;
}

.no-child-margin > * {
    margin: 0 !important;
}

.no-child-spacing > * {
    padding: 0 !important;
    margin: 0 !important;
}

.no-hover,
.no-hover * {
    pointer-events: none;
}


.apex-notif-badge {
    inset: auto auto calc(100% - 20px) calc(100% - 20px) !important;
    animation: apex-glow 1.9s cubic-bezier(.25,.8,.25,1) infinite;
}


.apex-loading-overlay {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 250px;
}

.apex-table-center td,
.apex-table-center th {
    text-align: center;
    vertical-align: middle;
}


.hover-up {
    transition: transform 0.25s ease;
}

    .hover-up:hover {
        transform: translateY(-4px);
    }

.cursor-pointer {
    cursor: pointer;
}


.mud-dialog:has(.apex-loading-overlay) {
    background: transparent !important;
    box-shadow: none !important;
}

.loading-dialog-backdrop {
    backdrop-filter: blur(2px);
    background: rgba(0,0,0,0.35) !important;
}

/* مخفی در بخش مقدار انتخاب شده */
.mud-select-input .select-item-actions {
    display: none !important;
}

/* نمایش در لیست باز شده */
.mud-popover .select-item-actions {
    display: flex !important;
}

@keyframes apex-glow {
    0% {
        transform: scale(1);
        box-shadow: 0 0 0 0 rgba(255, 82, 82, 0.95);
    }

    55% {
        transform: scale(1.08);
        box-shadow: 0 0 0 10px rgba(255, 82, 82, 0.25);
    }

    100% {
        transform: scale(1);
        box-shadow: 0 0 0 16px rgba(255, 82, 82, 0);
    }
}


/* Mud Custom */

/* Mobile (xs): Reduce container padding and dialog width for a better mobile layout. */
@media (max-width: 599.98px) {
    .mud-container--gutters {
        padding-left: 8px !important;
        padding-right: 8px !important;
    }

    .mud-dialog-width-full {
        width: calc(100% - 20px) !important;
    }
}

.mud-rtl-provider[dir="rtl"] .mud-stepper-nav {
    transform: scaleX(-1);
}

.mud-rtl-provider[dir="rtl"] .mud-stepper-actions {
    flex-direction: row-reverse;
}

.mud-toolbar {
    padding: 0;
}

.mud-dialog .mud-dialog-title:has(.mud-button-close) {
    padding-inline-end: 64px;
}

.mud-rtl-provider[dir="rtl"] .mud-dialog .mud-dialog-title:has(.mud-button-close) {
    padding-inline-start: 64px;
    padding-inline-end: 0px;
}

.mud-rtl-provider[dir="rtl"] .mud-dialog .mud-button-close {
    left: unset;
    right: 8px;
}

.mud-dialog-actions {
    justify-content: flex-start !important;
}

.mud-dialog .mud-dialog-title {
    border-bottom: 1px solid var(--mud-palette-divider);
    margin-bottom: 8px;
}

@media (max-width: 600px) {
    .mud-drawer-header {
        min-height: calc(var(--mud-appbar-height) - var(--mud-appbar-height) / 8);
        height: calc(var(--mud-appbar-height) - var(--mud-appbar-height) / 8);
    }

    .mud-layout:has(.mud-drawer--open) .appbar-secondary {
        display: none;
    }
}

/* End Mud Custom */
